# juqingcms 
# ----------------------------------------


DROP TABLE IF EXISTS `qing_admin`;
CREATE TABLE `qing_admin` (
  `userid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(20) DEFAULT NULL,
  `password` varchar(32) DEFAULT NULL,
  `roleid` smallint(5) DEFAULT '0',
  `realname` varchar(50) NOT NULL DEFAULT '',
  `auth` text NOT NULL,
  `list_size` smallint(5) NOT NULL,
  `left_width` smallint(5) NOT NULL DEFAULT '150',
  `color` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`userid`),
  KEY `username` (`username`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `qing_admin` VALUES('1','admin','c3284d0f94606de1fd2af172aba15bf3','1','超级管理员','','10','150','');

DROP TABLE IF EXISTS `qing_block`;
CREATE TABLE `qing_block` (
  `id` smallint(8) unsigned NOT NULL AUTO_INCREMENT,
  `type` tinyint(1) NOT NULL,
  `name` varchar(50) NOT NULL,
  `content` mediumtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

INSERT INTO `qing_block` VALUES('1','2','LOGO【电脑版】','/data/upload/image/20190406/1554558957327385.png');
INSERT INTO `qing_block` VALUES('2','2','LOGO【手机版】','/data/upload/image/20190406/1554558957327385.png');
INSERT INTO `qing_block` VALUES('3','2','内页默认banner','/data/upload/image/20190406/1554558998878407.jpg');
INSERT INTO `qing_block` VALUES('4','1','400电话','400-0000-000');
INSERT INTO `qing_block` VALUES('5','1','手机','139-0000-0000');
INSERT INTO `qing_block` VALUES('6','1','传真','0599-0000-0000');
INSERT INTO `qing_block` VALUES('7','1','邮箱','123456@qq.com');
INSERT INTO `qing_block` VALUES('8','1','QQ','123456');
INSERT INTO `qing_block` VALUES('9','1','地址','上海市嘉定区XXX办公楼XX室');
INSERT INTO `qing_block` VALUES('10','1','备案号','沪ICP备00000000号');
INSERT INTO `qing_block` VALUES('11','1','百度地图坐标','31.227906,121.476788');
INSERT INTO `qing_block` VALUES('12','2','首页公司简介背景图','/data/upload/image/20190406/1554560392259395.jpg');

DROP TABLE IF EXISTS `qing_category`;
CREATE TABLE `qing_category` (
  `catid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `typeid` tinyint(1) NOT NULL,
  `modelid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `parentid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `child` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `childids` varchar(255) NOT NULL,
  `catname` varchar(30) NOT NULL,
  `image` varchar(100) NOT NULL,
  `content` mediumtext NOT NULL,
  `seo_title` varchar(255) NOT NULL,
  `seo_keywords` varchar(255) NOT NULL,
  `seo_description` varchar(255) NOT NULL,
  `catdir` varchar(30) NOT NULL,
  `http` varchar(255) NOT NULL,
  `items` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `listorder` smallint(5) unsigned NOT NULL DEFAULT '0',
  `ismenu` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `ispost` smallint(2) NOT NULL,
  `verify` smallint(2) NOT NULL DEFAULT '0',
  `islook` smallint(2) NOT NULL,
  `listtpl` varchar(50) NOT NULL,
  `showtpl` varchar(50) NOT NULL,
  `pagetpl` varchar(50) NOT NULL,
  `pagesize` smallint(5) NOT NULL,
  PRIMARY KEY (`catid`),
  KEY `listorder` (`listorder`,`catid`)
) ENGINE=MyISAM AUTO_INCREMENT=37 DEFAULT CHARSET=utf8;

INSERT INTO `qing_category` VALUES('1','2','0','0','1','8,9,10,11,','关于我们','','','','','','about','','6','0','1','0','0','0','','','page.html','10');
INSERT INTO `qing_category` VALUES('2','1','2','0','1','12,13,14,15,16,17,18,19,20,21,22,','美味佳肴','','','','','','product','','11','0','1','0','0','0','list_product.html','show_product.html','page.html','12');
INSERT INTO `qing_category` VALUES('3','1','1','0','1','23,24,25,','新闻中心','','','','','','news','','6','0','1','0','0','0','list_news.html','show_news.html','page.html','10');
INSERT INTO `qing_category` VALUES('4','2','0','0','0','','业务范围','','&lt;p&gt;食堂承包&lt;/p&gt;&lt;p&gt;项目单位自营承包管理原料采购不能形成规模采购、价格较高，并且需每日现金采购，增加了企业的现金流量等诸多弊端因是承包管理，只需监督、无须直接管理。专业公司管理规范化、保证了人力资源利用率。食堂管理配置专门的管理人员，造成人才浪费，且需负担管理费用。统一采购配送，形成采购规模化、专业化，能降低原材料成本，保证原材料质量。&lt;/p&gt;&lt;p&gt;快餐配送&lt;/p&gt;&lt;p&gt;在我公司基地加工成成品，并封装到专用的符合国家环保要求的餐盒里，贴上生产时间和检验标识，然后装入保温箱中，用专门送餐车辆配送到指定地点，现场发放或直接售卖。 在我公司基地加工成成品，并封装到专用的符合国家环保要求的餐盒里，贴上生产时间和检验标识，然后装入保温箱中，用专门送餐车辆配送到指定地点，现场发放或直接售卖。&lt;/p&gt;&lt;p&gt;食材配送&lt;/p&gt;&lt;p&gt;1、直接配送：需要的蔬菜经过公司员工挑选、检验、包装运到各订货单位。 2、半成品配送：需要的蔬菜及肉类经过公司QC检验，蔬菜去根、去老叶、肉类去皮毛、洗净包装送到各订货单位。3、精细加工配送：需要的蔬菜及肉类经过公司QC检验，蔬菜去根、去老叶、肉类去皮毛、洗净由员工切配成块、丝、片、段、沫等形状，再经过油、过水程序并加配上各种佐料和辅料送到各订货单位。&lt;/p&gt;&lt;p&gt;厨具生产&lt;/p&gt;&lt;p&gt;为提高企业市场竞争力，我公司携手社会资源，联合投资兴办的厨房设备生产基地，专业为单位食堂提供厨房设备及安装、售后等一条龙服务，其自主研发和生产聚集了“安全、节能、环保、美观、便捷、耐用”的现代风格，受到用户的一致好评，并已获得国家专利产品称号。&lt;/p&gt;','','','','service','','0','0','1','0','0','0','','','page.html','10');
INSERT INTO `qing_category` VALUES('5','2','0','0','1','26,27,28,29,30,31,32,33,34,','营运方案','','','','','','solution','','0','0','1','0','0','0','list_news_pic.html','show_news.html','page.html','12');
INSERT INTO `qing_category` VALUES('6','1','1','0','0','','合作案例','','','','','','cases','','6','0','1','0','0','0','list_news.html','show_news.html','page.html','10');
INSERT INTO `qing_category` VALUES('7','2','0','0','1','35,36,','联系我们','','','','','','contact','','0','0','1','0','0','0','','','page_contact.html','10');
INSERT INTO `qing_category` VALUES('8','2','0','1','0','','公司简介','','&lt;article class=&quot;info&quot;&gt;&lt;article class=&quot;content&quot;&gt;&lt;p&gt;JuQingCms企业建站版基于PHP+Mysql架构是一款上手快、灵活、简单、易用的轻量级cms（能满足各种企业站 博客 等中小型站点。），聚擎cms系统一如既往的打造SEO优化元素，测试模板并推向市场，希望每一位客户的网站都能有理想中的排名。&lt;/p&gt;&lt;p&gt;JuQingCms系统简介&lt;/p&gt;&lt;p&gt;01. 支持自定义内容模型&lt;/p&gt;&lt;p&gt;通过自定义内容模型和自定义字段可以轻松简单的定制出各种内容模型 如新闻模块、产品模块、下载模块、图片模块、标签、各种DIY的做法和字段。&lt;/p&gt;&lt;p&gt;02. 支持自定义会员模型。&lt;/p&gt;&lt;p&gt;通过自定义会员模型可以扩展各种会员模型 如 个人、企业。&lt;/p&gt;&lt;p&gt;03. 支持自定义表单模型。&lt;/p&gt;&lt;p&gt;通过自定义表单模型可以扩展内容评论、 在线留言、 报名、产品订购、等各种提交表单。&lt;/p&gt;&lt;p&gt;04. 支持自定义表。&lt;/p&gt;&lt;p&gt;05. 区块管理功能。&lt;/p&gt;&lt;p&gt;06. 支持手机版。&lt;/p&gt;&lt;p&gt;07. 支持url伪静态 生成静态 动态 三种模式。&lt;/p&gt;&lt;p&gt;08. 支持游客投稿。&lt;/p&gt;&lt;p&gt;09. 支持会员投稿，会员模块单独分离可选不安装。&lt;/p&gt;&lt;p&gt;10. 简单易用的后台操作管理方式（经过一次改进，比之前要简单的多），小白也懂得怎么用。&lt;/p&gt;&lt;p&gt;11. 灵活的模板标签语言 让制作模板更容易更省时间。&lt;/p&gt;&lt;p&gt;12. 系统核心代码加密可二次开发。&lt;/p&gt;&lt;p&gt;13. 自定义推荐位，可以进行自定义再次开发。&lt;/p&gt;&lt;p&gt;14. 采用pdo数据库驱动提高安全性。&lt;/p&gt;&lt;p&gt;15. 前后台彻底分离，支持更改后台目录。&lt;/p&gt;&lt;p&gt;16. JuQingCms不仅是一款企业建站cms，还是轻量级的万能建站CMS具有SEO优化功能的网站管理系统&lt;/p&gt;&lt;p&gt;17、模板每周更新，提供新复合SEO的模板框架&lt;/p&gt;&lt;p&gt;18、支持拓展城市分站，让全国地域关键词融入您的网站。&lt;/p&gt;&lt;p&gt;19、留言提醒功能：支持网站留言直接填写邮箱推送到您邮箱。&lt;/p&gt;&lt;p&gt;18、支持拓展城市分站，让全国地域关键词融入您的网站。&lt;/p&gt;&lt;p&gt;20、支持网站与微信公众号菜单打通，更多优势请亲亲测。&lt;/p&gt;&lt;/article&gt;&lt;/article&gt;','','','','about1','','0','0','1','0','0','0','list_news_pic.html','show_news.html','page.html','12');
INSERT INTO `qing_category` VALUES('9','1','1','1','0','','公司荣誉','','','','','','about2','','2','0','1','0','0','0','list_news_pic.html','show_news.html','','12');
INSERT INTO `qing_category` VALUES('10','1','1','1','0','','公司环境','','','','','','about3','','3','0','1','0','0','0','list_news_pic.html','show_news.html','','12');
INSERT INTO `qing_category` VALUES('11','1','1','1','0','','物流仓库','','','','','','about4','','1','0','1','0','0','0','list_news_pic.html','show_news.html','','12');
INSERT INTO `qing_category` VALUES('12','1','2','2','0','','早餐品种','','','','','','pro1','','1','0','1','0','0','0','list_product.html','show_product.html','','12');
INSERT INTO `qing_category` VALUES('13','1','2','2','0','','特色小吃','','','','','','pro2','','1','0','1','0','0','0','list_product.html','show_product.html','','12');
INSERT INTO `qing_category` VALUES('14','1','2','2','0','','万鑫宴会','','','','','','pro3','','1','0','1','0','0','0','list_product.html','show_product.html','','12');
INSERT INTO `qing_category` VALUES('15','1','2','2','0','','鸡尾酒会','','','','','','pro4','','1','0','1','0','0','0','list_product.html','show_product.html','','12');
INSERT INTO `qing_category` VALUES('16','1','2','2','0','','西式烧烤','','','','','','pro5','','1','0','1','0','0','0','list_product.html','show_product.html','','12');
INSERT INTO `qing_category` VALUES('17','1','2','2','0','','西式冷餐','','','','','','pro6','','1','0','1','0','0','0','list_product.html','show_product.html','','12');
INSERT INTO `qing_category` VALUES('18','1','2','2','0','','中西自助','','','','','','pro7','','1','0','1','0','0','0','list_product.html','show_product.html','','12');
INSERT INTO `qing_category` VALUES('19','1','2','2','0','','西式自助','','','','','','pro8','','1','0','1','0','0','0','list_product.html','show_product.html','','12');
INSERT INTO `qing_category` VALUES('20','1','2','2','0','','日本料理','','','','','','pro9','','1','0','1','0','0','0','list_product.html','show_product.html','','12');
INSERT INTO `qing_category` VALUES('21','1','2','2','0','','韩国料理','','','','','','pro10','','1','0','1','0','0','0','list_product.html','show_product.html','','12');
INSERT INTO `qing_category` VALUES('22','1','2','2','0','','主食花样','','','','','','pro11','','1','0','1','0','0','0','list_product.html','show_product.html','','12');
INSERT INTO `qing_category` VALUES('23','1','1','3','0','','公司新闻','','','','','','news1','','2','0','1','0','0','0','list_news.html','show_news.html','','10');
INSERT INTO `qing_category` VALUES('24','1','1','3','0','','饮食文化','','','','','','news2','','2','0','1','0','0','0','list_news.html','show_news.html','','10');
INSERT INTO `qing_category` VALUES('25','1','1','3','0','','卫生管理','','','','','','news3','','2','0','1','0','0','0','list_news.html','show_news.html','','10');
INSERT INTO `qing_category` VALUES('26','2','0','5','0','','现场应急预案','','&lt;p&gt;● 停 &amp;nbsp;电&lt;/p&gt;&lt;p&gt;1、食堂在获悉停电的消息后，应将该消息及时传达给每一位员工，并尽可能将停电期间所需用电的工作提早完成。对于正在运行的电脑应及时保存好相关的数据。&lt;/p&gt;&lt;p&gt;2、食堂在出现突然停电，导致工作不能正常开展时，应立即以电话等方式上报公司相关领导，由公司领导和部门负责人共同协调各方，解决停电期间开餐问题。&lt;/p&gt;&lt;p style=&quot;text-align:center&quot;&gt;&lt;img src=&quot;/data/upload/image/20190406/1554555843129844.jpg&quot; title=&quot;20131116211710.jpg&quot;/&gt;&lt;/p&gt;&lt;p&gt;● 停 &amp;nbsp;水：&lt;/p&gt;&lt;p&gt;1、在获悉停水的消息后，食堂应将该消息及时传达给每一位员工，并尽可能将停水期间的工作提早完成，且使用空余的盛器（饭车、水池、菜盆等）将停水期间可能使用的水准备好。&lt;/p&gt;&lt;p&gt;2、在停水期间，食堂各环节应认真做到节约用水，现场管理人员应认真进行监督。&lt;/p&gt;&lt;p&gt;3、食堂在出现突然停水，导致工作不能正常开展时，应立即以电话等方式上报公司相关领导，由公司领导和部门负责人共同协调各方，解决停水期间开餐问题。&lt;/p&gt;&lt;p style=&quot;text-align:center&quot;&gt;&lt;img src=&quot;/data/upload/image/20190406/1554555843512508.jpg&quot; title=&quot;20131116211722.jpg&quot;/&gt;&lt;/p&gt;&lt;p&gt;● 停燃气：&lt;/p&gt;&lt;p&gt;1、在获悉停燃气的消息后，食堂应将该消息及时传达给每一位员工，并尽可能将停气期间的工作提早完成。在预定燃气停止时间前，应将燃气灶阀门和气表表前阀关掉，并予以特殊标识。&lt;/p&gt;&lt;p&gt;2、在未接到煤气重新开始供应之前，任何人员均不得将煤气灶阀门和煤气表表前阀打开。&lt;/p&gt;&lt;p&gt;3、食堂在出现突然停气，导致工作不能正常开展时，应立即以电话等方式上报公司相关领导，由公司领导和部门负责人共同协调各方，解决停气期间开餐问题。&lt;/p&gt;','','','','sol1','','0','0','1','0','0','0','list_news_pic.html','show_news.html','page.html','12');
INSERT INTO `qing_category` VALUES('27','2','0','5','0','','构建要素','','&lt;p&gt;一、人员配备&lt;/p&gt;&lt;p&gt;按照标准化食堂用工比例1:(60-70)要求，结合贵单位实际情况，我方前期计划配备 名工作人员。其中主要岗位人员具体分配如下：&lt;/p&gt;&lt;p&gt;1、项目经理1名，直接对我公司和贵方负责。&lt;/p&gt;&lt;p&gt;2、食堂收银 名、库管 名：主要负责食堂财务、库房管理等工作内容。&lt;/p&gt;&lt;p&gt;3、厨师长 名，对菜品的出品负直接责任。&lt;/p&gt;&lt;p&gt;4、炒菜厨师 名、面点师 名：高级技术职称，具有饭店和食堂双重工作经验。&lt;/p&gt;&lt;p&gt;5、切配工 名：刀工娴熟，其中1名具有饭店配菜经验。&lt;/p&gt;&lt;p&gt;6、面点小工 名：熟悉普通面点的基本制作。&lt;/p&gt;&lt;p&gt;7、小吃技师 名：风味技术特点各异，并具有美食广场窗口工作经验。&lt;/p&gt;&lt;p&gt;8、服务员 名：女性，形象气质较好，其中 名具有客饭服务经验。&lt;/p&gt;&lt;p&gt;9、洗碗工 名：工作踏实，能吃苦耐劳。&lt;/p&gt;&lt;p&gt;上述人员中，技术骨干原则上从其他承包网点选调，其余人员通过招聘形式择优录用。&lt;/p&gt;','','','','sol2','','0','0','1','0','0','0','list_news_pic.html','show_news.html','page.html','12');
INSERT INTO `qing_category` VALUES('28','2','0','5','0','','供餐方式','','&lt;p&gt;综合多年单位食堂实战经验，同时参照兄弟同行先进的供餐案例，我方一般根据贵方就餐人数，单一或综合采用以下方式：&lt;/p&gt;&lt;p&gt;1、早餐&lt;/p&gt;&lt;p&gt;一般采取零点方式。&lt;/p&gt;&lt;p&gt;目前，我们所在其他单位食堂经营的早餐品种大体有20多个，其中馅饼等烙制品3种，包子等蒸制品4种，油条等炸制品2种，酥饼等烤制品1种，粥、豆腐脑等煮制品4种。若承包贵方食堂后，我们将在品种结构上做进一步调整，使其更符合本单位员工的饮食习惯。设计人均消费2.00—5.00元。&lt;/p&gt;&lt;p style=&quot;text-align:center&quot;&gt;&lt;img src=&quot;/data/upload/image/20190406/1554555724425197.jpg&quot; title=&quot;2013111319615.jpg&quot;/&gt;&lt;/p&gt;&lt;p&gt;2、中餐&lt;/p&gt;&lt;p&gt;一般采取零点、自助、套餐及其组合形式。&lt;/p&gt;&lt;p&gt;①零点形式：&lt;/p&gt;&lt;p&gt;特点：每个品种单独计价，就餐者可以丰俭由己，随意选择。菜品分为高、中、低三个档次，最高菜价不超过5元，最低菜价为1元。每餐不少于20个品种，菜系以川、鲁、京、湘等家常菜为主。风味小吃每餐不少于3个大类，品种价位在0.50—10元之间。主食除传统的米饭以外，面食每餐品种在12个以上，每种价格在0.30—2.00元之间。&lt;/p&gt;&lt;p&gt;客人先取零点餐专用餐具，到零点餐台根据自己的需要选择食品，经结帐后食用。用餐完毕后，将餐具送到收盘处交服务员处理。我方工作人员现场提供散打、小吃即点即做服务。&lt;/p&gt;&lt;p style=&quot;text-align:center&quot;&gt;&lt;img src=&quot;/data/upload/image/20190406/1554555724366157.jpg&quot; title=&quot;2.jpg&quot;/&gt;&lt;/p&gt;&lt;p&gt;②自助形式：&lt;/p&gt;&lt;p&gt;特点：热菜、凉菜、主食、汤粥、甜点、水果等多种组合。热菜置于保温的波菲炉中，凉菜用不锈钢方盆盛装，主食用不锈钢方盆盛装并覆盖保温被，汤粥用白钢保温桶盛装。客人刷卡或交款后，取套餐专用餐具，到自助餐台按顺序选取食品，汤粥、调料、酱菜任选。&lt;/p&gt;&lt;p&gt;如果贵方每餐人均餐标在15元以上，我们将考虑采取此种形式。每餐菜品不少于20种，除主荤菜由我方工作人员酌情掌握外，其余菜品均由就餐者根据个人口味及食量自盛。此外，现场还有主食、粥、汤、水果、点心、酸奶等十余种供选择。&lt;/p&gt;&lt;p&gt;③套餐形式：&lt;/p&gt;&lt;p&gt;特点：菜品、主食和汤粥进行组合，荤素合理搭配，可分为普通套餐、商务套餐和风味套餐等多种类别。套餐食品由服务员配置成套，客人根据自己的需要选取品种和数量。客人刷卡或交款后，取套餐专用餐具，到自助餐台按顺序选取食品，汤粥、调料、酱菜任选。&lt;/p&gt;&lt;p&gt;我方一般会提供10元、12元、15元、20元及以上若干个餐标由贵方选择。在售饭高峰时间，我方将派营养师现场提供配餐服务。&lt;/p&gt;&lt;p style=&quot;text-align:center&quot;&gt;&lt;img src=&quot;/data/upload/image/20190406/1554555724303675.jpg&quot; title=&quot;3.jpg&quot;/&gt;&lt;/p&gt;&lt;p&gt;我方具体标准：&lt;/p&gt;&lt;p&gt;10元： 一主荤菜、一半荤菜、一素菜&lt;/p&gt;&lt;p&gt;12元： 一主荤菜、两半荤菜、两素菜&lt;/p&gt;&lt;p&gt;15元： 两主荤菜、一半荤菜、两素菜&lt;/p&gt;&lt;p&gt;20元： 两主荤菜、两半荤菜、两素菜&lt;/p&gt;&lt;p&gt;3、晚餐&lt;/p&gt;&lt;p&gt;其形式基本与中餐相同。届时我们将根据就餐人数多少来增减品种和数量。&lt;/p&gt;&lt;p&gt;4、客饭&lt;/p&gt;&lt;p&gt;主要指包桌宴席。如果贵方餐厅拥有自己的包间，我们则将对其进行适当装饰，一旦贵方有需求，会随时从其它经营网点抽调部分技术骨干，确保按其规格制作各类中西式宴会餐、风味火锅餐等，必要时还会发挥行业内的资源优势，邀请知名大厨亲自料理，以使贵方领导在招待外来客人时一样能感受到外部酒店的氛围。&lt;/p&gt;&lt;p&gt;5、外卖&lt;/p&gt;&lt;p&gt;山东面食是我方的传统强项。为给贵方晚上回家的人士提供生活上的便利，我们拟尝试每天下午推出食品外卖项目。&lt;/p&gt;&lt;p&gt;主要品种：&lt;/p&gt;&lt;p&gt;面食类：呛面馒头、花卷、烙饼、发糕等系列。&lt;/p&gt;&lt;p&gt;熟食类：酱牛肉、酱猪蹄、鸡爪、炸黄鱼等系列。&lt;/p&gt;&lt;p&gt;价格定位：&lt;/p&gt;&lt;p&gt;每种食品拟低于外部超市和主食厨房的价格。&lt;/p&gt;&lt;p style=&quot;text-align:center&quot;&gt;&lt;img src=&quot;/data/upload/image/20190406/1554555724198806.jpg&quot; title=&quot;4.jpg&quot;/&gt;&lt;/p&gt;&lt;p&gt;除以上传统的供餐形式外，近年来，我们还引进并尝试采取了以下两种新型供餐形式：&lt;/p&gt;&lt;p&gt;1、超市形式&lt;/p&gt;&lt;p&gt;即以各地风味菜肴为主，品种达到50一60个，凉菜、热菜、面食、粥、汤等均为明档摆放。热菜由厨房制作，摆入明档。优势在于集超市自选与餐饮现场制作为一体。顾客在选择、观看过程中完成取餐、进餐过程。&lt;/p&gt;&lt;p&gt;2、美食广场形式&lt;/p&gt;&lt;p&gt;建立多个独立的食品档口，各个档口风味独特，品种多样，每个品种按碟或小碗分别定价。主要特点是在突出风味的基础上使消费者有广泛的选择性，以满足其个性化需求。&lt;/p&gt;','','','','sol3','','0','0','1','0','0','0','list_news_pic.html','show_news.html','page.html','12');
INSERT INTO `qing_category` VALUES('29','2','0','5','0','','营销措施','','&lt;p&gt;一、现场氛围&lt;/p&gt;&lt;p&gt;为了带给贵方就餐人员一个全新的视觉，并与其现代化的办公区氛围相吻合，接管食堂后，我们的初步设想是：&lt;/p&gt;&lt;p&gt;1、利用黑板报、海报、横幅等形式，宣传食堂新变化。&lt;/p&gt;&lt;p&gt;2、在餐厅内部装饰一些以服务、就餐类口号以及营养知识等为主题内容的标牌或展板。&lt;/p&gt;&lt;p&gt;3、各项管理制度全部上墙，并建立健全各部位标识。&lt;/p&gt;&lt;p&gt;4、每日饭菜品种采用挂牌形式，小吃品种采用喷绘固定形式。&lt;/p&gt;&lt;p&gt;二、营销手段&lt;/p&gt;&lt;p&gt;1、开业一周内，零点食品一律打九折。&lt;/p&gt;&lt;p&gt;2、每周推出1—2种特价食品。&lt;/p&gt;&lt;p&gt;3、每逢国家法定节日，推出小食品赠送系列服务。&lt;/p&gt;&lt;p&gt;4、设立就餐者合理化建议奖，每月兑现一次。&lt;/p&gt;&lt;p&gt;5、每年举办一次就餐者幸运抽奖活动。&lt;/p&gt;&lt;p&gt;6、贵方人员在食堂聚餐、生日宴请时，将给予加餐或打折。&lt;/p&gt;&lt;p&gt;三、服务特色&lt;/p&gt;&lt;p&gt;1、公布每日原材料采购价格，增加经营透明度。&lt;/p&gt;&lt;p&gt;2、公布最容易在份量上引起争议的米饭、面点等大众食品的售卖标准，并在现场设立公平秤。&lt;/p&gt;&lt;p&gt;3、每周五下午把下周的食谱呈送贵方各部门一份，使领导们不出办公室即可了解下周的饮食品种。&lt;/p&gt;&lt;p&gt;4、贵方病号膳食由我方营养师单独承做。&lt;/p&gt;&lt;p&gt;5、每年举办一次由各网点技术骨干参加的美食周。&lt;/p&gt;','','','','sol4','','0','0','1','0','0','0','list_news_pic.html','show_news.html','page.html','12');
INSERT INTO `qing_category` VALUES('30','2','0','5','0','','质量保障','','&lt;p&gt;一、编制菜单要求：&lt;/p&gt;&lt;p&gt;1、菜单的责任人为主管、采购员、厨师长。&lt;/p&gt;&lt;p&gt;2、充分掌握就餐者的口味需求，从而不断地变换菜单及做法。&lt;/p&gt;&lt;p&gt;3、根据伙食价格，确定菜单的品种，控制在成本允许范围内。&lt;/p&gt;&lt;p&gt;4、根据不同季节进行市场调查，确定菜式及追踪所需材料的到位情况。&lt;/p&gt;&lt;p&gt;5、避免同一餐中有相同的菜式出现。&lt;/p&gt;&lt;p&gt;6、注意同一餐菜式颜色的搭配。&lt;/p&gt;&lt;p&gt;二、菜单审核标准：&lt;/p&gt;&lt;p&gt;1、菜单审核的直接责任人为营养部主管。&lt;/p&gt;&lt;p&gt;2、菜单搭配是否合理，如穿插绿颜色的品种。&lt;/p&gt;&lt;p&gt;3、是否能达到公司给予成本标准。&lt;/p&gt;&lt;p&gt;4、是否会引起就餐者投诉。&lt;/p&gt;&lt;p&gt;三、采购质量要求：&lt;/p&gt;&lt;p&gt;1、采购员在市场购买时应在保证质量的前提下考虑物料价格是否达到物美价廉之效果。&lt;/p&gt;&lt;p&gt;2、采购员应不断扩大采购渠道，确保原材料质量。&lt;/p&gt;&lt;p&gt;3、当发现供货商送到食堂的原材料质量有问题时，公司质管部应对采购员做出警告处理；如采购员违规采购变质原材料时，质管部应对食堂主管、采购员做出处罚处理。&lt;/p&gt;&lt;p&gt;四、验收保管要求：&lt;/p&gt;&lt;p&gt;1、当发现库管员违规接收质量差或变质之原材料，公司质管部应对食堂主管、采购员、库管员做出处罚处理。&lt;/p&gt;&lt;p&gt;2、验收时应注意质量、单价、数量是否相符，有无超过有效食用日期或变质、腐烂等情况。&lt;/p&gt;&lt;p&gt;3、贯彻先进先出原则，严格控制库存数量。同时做好物品防护工作。&lt;/p&gt;&lt;p&gt;五、粗加工要求：&lt;/p&gt;&lt;p&gt;1、初加工直接责任人为厨工组长及相应厨工。&lt;/p&gt;&lt;p&gt;2、初加工务必做到无黄叶、无烂叶、无异物（菜虫、杂草等）。&lt;/p&gt;&lt;p&gt;六、清洗要求：&lt;/p&gt;&lt;p&gt;1、清洗责任人为洗菜工及厨工组长。&lt;/p&gt;&lt;p&gt;2、以“一浸二泡三清洗”为原则，做到无沙、无虫等。&lt;/p&gt;&lt;p&gt;七、细加工要求：&lt;/p&gt;&lt;p&gt;1、细加工直接责任人为厨工组长及厨师长。&lt;/p&gt;&lt;p&gt;2、厨工组长按厨师长预定要求进行加工，厨师长给予标准，从而进行监督，做到丝配丝、片配片、条配条等原则。&lt;/p&gt;&lt;p&gt;3、切配应做到厚薄一致，粗细均匀。&lt;/p&gt;&lt;p&gt;八、烹饪要求：&lt;/p&gt;&lt;p&gt;1、烹饪责任人为厨师长及相应厨师。&lt;/p&gt;&lt;p&gt;2、采取大锅菜小锅炒的操作方式，做到味香色美，咸淡适中。&lt;/p&gt;&lt;p&gt;3、根据每道菜的特色进行对口分工，即明确每道菜制作人员。&lt;/p&gt;&lt;p&gt;4、必须准备相应之调味料（如生姜、大蒜等）及配色料（如红萝卜、红椒等）。&lt;/p&gt;&lt;p&gt;5、注意炒菜时间及数量，应根据需求而炒作，做到充分计划，卖多少炒多少，但绝不能造成排队等菜现象。&lt;/p&gt;&lt;p&gt;九、成品确认及出品：&lt;/p&gt;&lt;p&gt;1、成品确认责任人为厨师长和主管。&lt;/p&gt;&lt;p&gt;2、应以色、香、味、形俱佳为原则，做到咸淡适中。&lt;/p&gt;&lt;p&gt;3、厨师长及主管必须对每道成品进行品尝，确认无疑后方可出品，并由主管对每道出品进行记录并注明炒作人。&lt;/p&gt;&lt;p&gt;4、由于人为原因（如没尝试就出品）造成师生投诉的，直接追究主管及厨师长之责任。如引起严重投诉的，主管及厨师长需负全部责任，不排除开除等。&lt;/p&gt;&lt;p&gt;十、信息收集及处理：&lt;/p&gt;&lt;p&gt;1、信息收集直接责任人为厨师长和售饭组长。&lt;/p&gt;&lt;p&gt;2、每餐必须收集至少30名用餐人员意见以及剩饭剩菜情况，当天汇总后交主管，由主管召集厨师长及厨工组长，针对出品质量进行分析和总结，做到扬长避短，同种菜单的相同错误决不允许重复出现。&lt;/p&gt;&lt;p&gt;3、做好第二天菜品出品计划，并拟定相关责任人（如哪道菜由哪个厨师炒作），从而追踪第二天的工作是否达到预期效果。&lt;/p&gt;&lt;p&gt;4、每周召开一次菜品现场研讨会，由主管和厨师根据时令季节研发一些新的菜系。&lt;/p&gt;','','','','sol5','','0','0','1','0','0','0','list_news_pic.html','show_news.html','page.html','12');
INSERT INTO `qing_category` VALUES('31','2','0','5','0','','筹备步骤','','&lt;p&gt;一、重新规划食堂制售流程和就餐氛围；&lt;/p&gt;&lt;p&gt;二、按照流程规划，将现有设备定位摆放&lt;/p&gt;&lt;p&gt;三、根据物品余缺情况，及时向贵方申请增减或调换；&lt;/p&gt;&lt;p&gt;四、考察农贸市场，确定进货渠道；&lt;/p&gt;&lt;p&gt;五、安排员工住宿；&lt;/p&gt;&lt;p&gt;六、对员工进行岗前再培训，内容包括贵方规章制度等；&lt;/p&gt;&lt;p&gt;七、进行工作分工，清理各部位卫生；&lt;/p&gt;&lt;p&gt;八、召开食堂全体员工会议，邀请贵方有关领导到会讲话；&lt;/p&gt;&lt;p&gt;九、将员工身份证、健康证等复印件上报贵方；&lt;/p&gt;&lt;p&gt;十、按照贵方确定时间，食堂正式开餐。&lt;/p&gt;&lt;p&gt;整个筹备工作一般在一周内完成。&lt;/p&gt;','','','','sol6','','0','0','1','0','0','0','list_news_pic.html','show_news.html','page.html','12');
INSERT INTO `qing_category` VALUES('32','2','0','5','0','','问题处理','','','','','','sol7','','0','0','1','0','0','0','list_news_pic.html','show_news.html','page.html','12');
INSERT INTO `qing_category` VALUES('33','2','0','5','0','','采购渠道','','&lt;p&gt;一、主要供应商&lt;/p&gt;&lt;p&gt;1、粮油类：&lt;/p&gt;&lt;p&gt;①中粮集团古船系列米、面、杂粮； ②中储粮油；&lt;/p&gt;&lt;p&gt;③甲家牌面粉； ④中储粮专用油、米、面。&lt;/p&gt;&lt;p&gt;2、肉、禽、水产制品类：&lt;/p&gt;&lt;p&gt;红旗、正大、双大、华都、福牛、五肉联、鹏城肉联。&lt;/p&gt;&lt;p&gt;3、调料类：&lt;/p&gt;&lt;p&gt;东莞市调味品配送中心。&lt;/p&gt;&lt;p&gt;4、洗消产品：&lt;/p&gt;&lt;p&gt;东莞市环保有限公司。&lt;/p&gt;&lt;p&gt;5、蔬菜、水果类：&lt;/p&gt;&lt;p&gt;东莞市蔬菜配送中心。&lt;/p&gt;&lt;p&gt;6、小商品类：&lt;/p&gt;&lt;p&gt;东莞市团购中心；&lt;/p&gt;&lt;p&gt;沃尔玛团购中心；&lt;/p&gt;&lt;p&gt;家乐福团购中心；&lt;/p&gt;&lt;p&gt;东莞市特色风味点心。&lt;/p&gt;&lt;p&gt;二、自产自供基地&lt;/p&gt;&lt;p&gt;为了满足公司现有需求，也为了公司的长远发展，我公司采取加盟蔬菜农场，参与管理等方式，实现自我规划种植，同时开启自建农场规划，将实现蔬菜种植、养鸡、养鱼、养猪一体化，向食堂供应完全身给自足前进。&lt;/p&gt;','','','','sol8','','0','0','1','0','0','0','list_news_pic.html','show_news.html','page.html','12');
INSERT INTO `qing_category` VALUES('34','2','0','5','0','','运行方式','','&lt;p&gt;①条思路：&lt;/p&gt;&lt;p&gt;以食堂管理模式和酒店服务方式，&lt;/p&gt;&lt;p&gt;精心打造一个可供同类单位参观考察的样板工程。&lt;/p&gt;&lt;p&gt;②大目标：&lt;/p&gt;&lt;p&gt;贵方对饭菜的满意率80%；贵方对服务的满意率95%。&lt;/p&gt;&lt;p&gt;③个统一：&lt;/p&gt;&lt;p&gt;1、主要原材料统一采购；&lt;/p&gt;&lt;p&gt;2、人力资源统一调配；&lt;/p&gt;&lt;p&gt;3、食品价格、质量、数量统一规定。&lt;/p&gt;&lt;p&gt;④种策略：&lt;/p&gt;&lt;p&gt;1、根据合作方人员消费水平设计每日食谱；&lt;/p&gt;&lt;p&gt;2、供餐方式多样化；&lt;/p&gt;&lt;p&gt;3、每季度与其它网点调换厨师一次；&lt;/p&gt;&lt;p&gt;4、饮食品种一周内不重样。&lt;/p&gt;&lt;p&gt;⑤项控制：&lt;/p&gt;&lt;p&gt;1、人工成本控制在食堂营业额的15%以内；&lt;/p&gt;&lt;p&gt;2、燃料成本控制在食堂营业额的6%以内；&lt;/p&gt;&lt;p&gt;3、水、电成本控制在食堂营业额的2%以内；&lt;/p&gt;&lt;p&gt;4、低值易耗品及设备维修费控制在食堂营业额的1%以内；&lt;/p&gt;&lt;p&gt;5、纯利润控制在食堂营业额的5%以内。&lt;/p&gt;&lt;p&gt;⑥点要求：&lt;/p&gt;&lt;p&gt;制度健全；考核到位；奖罚有力；&lt;/p&gt;&lt;p&gt;卫生达标；质量上乘；服务规范。&lt;/p&gt;','','','','sol9','','0','0','1','0','0','0','list_news_pic.html','show_news.html','page.html','12');
INSERT INTO `qing_category` VALUES('35','2','0','7','0','','联系方式','','','','','','contact1','','0','0','1','0','0','0','','','page_contact.html','10');
INSERT INTO `qing_category` VALUES('36','4','3','7','0','','在线咨询','','','','','','message','','0','0','1','0','0','0','','','form.html','10');

DROP TABLE IF EXISTS `qing_content`;
CREATE TABLE `qing_content` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `catid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `modelid` smallint(5) NOT NULL,
  `title` varchar(80) NOT NULL DEFAULT '',
  `thumb` varchar(255) NOT NULL DEFAULT '',
  `keywords` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL,
  `listorder` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `status` tinyint(2) unsigned NOT NULL DEFAULT '1',
  `hits` smallint(5) unsigned NOT NULL DEFAULT '0',
  `username` char(20) NOT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`,`listorder`,`time`),
  KEY `time` (`catid`,`time`),
  KEY `status` (`catid`,`status`)
) ENGINE=MyISAM AUTO_INCREMENT=30 DEFAULT CHARSET=utf8;

INSERT INTO `qing_content` VALUES('1','23','1','酒店员工餐厅管理规定','','','酒店员工餐厅管理规定员工餐厅管理规定第一章总则第一条为了完善职工餐厅管理，给员工营造一个温馨、整洁、干净的就餐环境,提高员工餐厅的管理水平和服务质量,结合员工餐厅实际就餐情况,特制定以下规定。第二条本规','0','1','0','admin','1554555941');
INSERT INTO `qing_content` VALUES('2','23','1','职工餐厅管理规定','','','一、经营方职责1、餐厅应配备专业的管理班子，明确工作职责和管理权限。2、通过建立专用的服务电话可随时与管理方进行沟通，对来自各方面的意见或要求，应有专人记录并及时转达负责人，能够解决的问题应立即解决，一','0','1','21','admin','1554555969');
INSERT INTO `qing_content` VALUES('3','24','1','快餐管理制度的分析','','','快餐管理制度一．西式快餐的管理在竞争激烈的快餐市场中，西式快餐总能立于潮头，是因为它有着第一流的快餐管理制度。西式快餐提出的目标是100%的顾客满意。即顾客在西式快餐所能得到的服务要多于他原来所期望得到的','0','1','5','admin','1554556005');
INSERT INTO `qing_content` VALUES('4','24','1','公司管理人员手册','','','在你进入麦当劳时，麦当劳的人力资源部和你的主管会告诉你的工资及麦当劳公司的有关政策，麦当劳有其独特的不受外界影响和干扰的工资政策。公司每年会对市场做工资水平调查，根据调查结果和公司的经济承担能力来决定','0','1','2','admin','1554556350');
INSERT INTO `qing_content` VALUES('5','25','1','烹调卫生管理制度','','','01、烹饪人员要严格检查待烹饪加工食品原料的卫生质量，发现有腐败变质或其他感官性状异常、不符合卫生要求的食品绝不烹制。02、加工食品时中心温度应达到70℃以上，烧熟煮透，不得只讲究食品颜色而造成食物外熟内生','0','1','0','admin','1554556407');
INSERT INTO `qing_content` VALUES('6','25','1','区域环境卫生标准','','','厨房环境：01、地面：干净无积水，无饭粒，无菜渣，无杂物，无污渍、无死角（特别应注意墙角卫生）。02、门：保持清洁，无油污，无灰尘。03、玻璃明亮，玻璃窗槽特别是铝泊处干净无油污，无灰尘。04、墙壁、柱子：干','0','1','3','admin','1554556424');
INSERT INTO `qing_content` VALUES('7','22','2','主食花样','/data/upload/image/20190406/1554558364105212.jpg','','主食花样主食花样','0','1','0','admin','1554558347');
INSERT INTO `qing_content` VALUES('8','21','2','韩国料理','/data/upload/image/20190406/1554558421464528.jpg','','韩国料理韩国料理韩国料理','0','1','0','admin','1554558408');
INSERT INTO `qing_content` VALUES('9','20','2','日本料理','/data/upload/image/20190406/1554558435620174.jpg','','日本料理日本料理','0','1','0','admin','1554558425');
INSERT INTO `qing_content` VALUES('10','19','2','西式自助','/data/upload/image/20190406/1554558451927851.jpg','','西式自助西式自助','0','1','0','admin','1554558439');
INSERT INTO `qing_content` VALUES('11','18','2','中西自助','/data/upload/image/20190406/1554558468133308.jpg','','中西自助中西自助','0','1','0','admin','1554558458');
INSERT INTO `qing_content` VALUES('12','17','2','西式冷餐','/data/upload/image/20190406/1554558490216621.jpg','','西式冷餐西式冷餐','0','1','0','admin','1554558474');
INSERT INTO `qing_content` VALUES('13','16','2','西式烧烤','/data/upload/image/20190406/1554558508653437.jpg','','西式烧烤西式烧烤','0','1','0','admin','1554558496');
INSERT INTO `qing_content` VALUES('14','15','2','鸡尾酒会','/data/upload/image/20190406/1554558549522233.jpg','','鸡尾酒会鸡尾酒会','0','1','0','admin','1554558515');
INSERT INTO `qing_content` VALUES('15','14','2','万鑫宴会','/data/upload/image/20190406/1554558566774830.jpg','','万鑫宴会万鑫宴会万鑫宴会','0','1','0','admin','1554558555');
INSERT INTO `qing_content` VALUES('16','13','2','特色小吃','/data/upload/image/20190406/1554558585275403.jpg','','特色小吃特色小吃','0','1','0','admin','1554558572');
INSERT INTO `qing_content` VALUES('17','12','2','早餐品种','/data/upload/image/20190406/1554558602364909.jpg','','早餐品种早餐品种','0','1','22','admin','1554558590');
INSERT INTO `qing_content` VALUES('18','6','1','帝鸿有限公司','/data/upload/image/20190406/1554558690934263.jpg','','','0','1','0','admin','1554558682');
INSERT INTO `qing_content` VALUES('19','6','1','建达电子厂','/data/upload/image/20190406/1554558703126324.jpg','','','0','1','0','admin','1554558696');
INSERT INTO `qing_content` VALUES('20','6','1','图强电子厂','/data/upload/image/20190406/1554558715643325.jpg','','','0','1','0','admin','1554558710');
INSERT INTO `qing_content` VALUES('21','6','1','喜斯达电器厂','/data/upload/image/20190406/1554558726135881.jpg','','','0','1','0','admin','1554558721');
INSERT INTO `qing_content` VALUES('22','6','1','佑莹鞋业','/data/upload/image/20190406/1554558740116314.jpg','','','0','1','0','admin','1554558732');
INSERT INTO `qing_content` VALUES('23','6','1','中记家具厂','/data/upload/image/20190406/1554558752104274.jpg','','','0','1','2','admin','1554558744');
INSERT INTO `qing_content` VALUES('24','11','1','仓库物流','/data/upload/image/20190406/1554558803341500.jpg','','','0','1','0','admin','1554558789');
INSERT INTO `qing_content` VALUES('25','10','1','公司环境1','/data/upload/image/20190406/1554558841109851.jpg','','','0','1','0','admin','1554558832');
INSERT INTO `qing_content` VALUES('26','10','1','公司环境2','/data/upload/image/20190406/1554558852682957.jpg','','','0','1','1','admin','1554558844');
INSERT INTO `qing_content` VALUES('27','10','1','公司环境3','/data/upload/image/20190406/1554558864129783.jpg','','','0','1','0','admin','1554558855');
INSERT INTO `qing_content` VALUES('28','9','1','公司荣誉1','/data/upload/image/20190406/1554558898704430.jpg','','','0','1','2','admin','1554558891');
INSERT INTO `qing_content` VALUES('29','9','1','公司荣誉2','/data/upload/image/20190406/1554558910192524.jpg','','','0','1','0','admin','1554558902');

DROP TABLE IF EXISTS `qing_content_news`;
CREATE TABLE `qing_content_news` (
  `id` mediumint(8) NOT NULL,
  `catid` smallint(5) NOT NULL,
  `content` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `qing_content_news` VALUES('1','23','&lt;p&gt;酒店员工餐厅管理规定&lt;/p&gt;&lt;p&gt;员工餐厅管理规定&lt;/p&gt;&lt;p&gt;第一章总则&lt;/p&gt;&lt;p&gt;第一条为了完善职工餐厅管理，给员工营造一个温馨、整洁、干净的就餐环境,提高员工餐厅的管理水平和服务质量,结合员工餐厅实际就餐情况,特制定以下规定。&lt;/p&gt;&lt;p&gt;第二条本规定适用于公司及各办事处、写字楼单位就餐人员。&lt;/p&gt;&lt;p&gt;第二章就餐规定&lt;/p&gt;&lt;p&gt;第三条就餐人员应自觉听从餐厅管理人员管理，文明就餐。自觉遵守就餐秩序，按先后顺序排队领取食物，不得拥挤、插号。&lt;/p&gt;&lt;p&gt;第四条餐厅内不准抽烟，不准随地吐痰，不准大声起哄、吵闹，做到文明用餐。&lt;/p&gt;&lt;p&gt;第五条爱护餐厅内的餐具及公共设施，损坏照价赔偿。不得随意搬动及损坏餐桌、餐凳。&lt;/p&gt;&lt;p&gt;第六条就餐期间，不准往餐桌上或地上乱倒、乱扔饭菜、馍块。就餐完毕，严禁将饭菜倒入洗碗池中，应统一倒入指定的容器里，做到人走桌地两净，餐具应放在指定处。并养成随手关水笼头的好习惯。&lt;/p&gt;&lt;p&gt;第七条就餐人员不得将饭菜及餐具不得带出餐厅。&lt;/p&gt;&lt;p&gt;第八条就餐人员要养成勤俭的习惯，不要浪费粮食和食品。&lt;/p&gt;&lt;p&gt;第九条就餐完毕迅速离开餐厅，以加快餐位周转。&lt;/p&gt;&lt;p&gt;第十条以上规定如有违反者，餐厅有权报人事部给予罚款处理，从当月浮动工资中扣除。情节严重者，屡教不改者，给予行政处分或除名（取消就餐资格）。&lt;/p&gt;&lt;p&gt;第三章就餐时间&lt;/p&gt;&lt;p&gt;第十一条就餐时间为：&lt;/p&gt;&lt;p&gt;早餐7：20——8：20&lt;/p&gt;&lt;p&gt;午餐11：40——12：40&lt;/p&gt;&lt;p&gt;晚餐17：40——18：40&lt;/p&gt;&lt;p&gt;第十二条就餐人员必须在规定的时间内就餐，不得提前或推迟。&lt;/p&gt;&lt;p&gt;第四章就餐方式&lt;/p&gt;&lt;p&gt;第十三条餐厅用餐实行个人ic卡刷卡方式，一人一卡，凭卡领取食物，ic卡不得转借他人使用。ic卡若有遗失或损坏,需重新到人事部补办,工本费50元。&lt;/p&gt;&lt;p&gt;第十四条(1)、就餐人员必须从统一通道出入餐厅。&lt;/p&gt;&lt;p&gt;(2)、就餐使用的餐具由餐厅统一提供。&lt;/p&gt;&lt;p&gt;(3)、就餐采用半自助形式。&lt;/p&gt;&lt;p&gt;(4)、餐厅将分时段,分批量出饭菜。&lt;/p&gt;&lt;p&gt;第十五条在公司住宿的要求全部在餐厅就餐，实行全餐卡就餐制,标准为xx元/月。不在餐厅就餐的不给予补发伙食费。未在公司住宿的实行单餐卡就餐制,早、中、晚不限,标准为xx元/月。就餐卡过期一律作废。&lt;/p&gt;&lt;p&gt;第十六条对于需要在餐厅就餐的各写字楼、办事处等单位员工按全成本收取就餐费,餐费标准为xx元/月。公司接待、应酬等就餐费等也按全成本计算。&lt;/p&gt;&lt;p&gt;第五章附则&lt;/p&gt;&lt;p&gt;第十七条本规定自xxx起实施&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('2','23','&lt;p&gt;一、经营方职责&lt;/p&gt;&lt;p&gt;1、餐厅应配备专业的管理班子，明确工作职责和管理权限。&lt;/p&gt;&lt;p&gt;2、通过建立专用的服务电话可随时与管理方进行沟通，对来自各方面的意见或要求，应有专人记录并及时转达负责人，能够解决的问题应立即解决，一时解决不了的问题可采取应急措施后予以解决，并在同一时间内将解决的意见或处理的结果反馈给对方。&lt;/p&gt;&lt;p&gt;3、经营方应每个月末召开一次专题会议，对前一段所做的各项工作、服务质量等问题进行认真总结，对存在的问题提出整改计划，落实解决方案（形成文字记录）。&lt;/p&gt;&lt;p&gt;4、建立定期走访和反馈信息制度，通过各种方式征求就餐人员意见，每年不少于2次（应在每年6月、12月进行）。&lt;/p&gt;&lt;p&gt;5、建立培训制度，提高餐厅人员的业务素质及服务质量。新上岗的餐厅服务人员应做到先培训后上岗。&lt;/p&gt;&lt;p&gt;6、建立定期体检和防御制度，做到证件齐全，持证上岗和经营。&lt;/p&gt;&lt;p&gt;7、实施奖罚措施，对工作认真负责、考核优秀的餐厅服务人员，经营方应在年终给予适当的奖励，对在工作中玩忽职守或考核不及格应给予处罚或辞退。&lt;/p&gt;&lt;p&gt;二、主管部门职责&lt;/p&gt;&lt;p&gt;1、指定专人负责，对餐厅各项工作进行检查与监督。&lt;/p&gt;&lt;p&gt;2、对经营方管理人员的选用和续用提出建议和意见。&lt;/p&gt;&lt;p&gt;3、依据本办法各项规定，对餐厅的卫生、餐具等在消毒使用等方面进行定期的检查和不定期的抽查，一旦发现问题立即纠正，并针对有关问题提出整改计划并督促落实。&lt;/p&gt;&lt;p&gt;4、掌握各方面意见，建立网上意见箱，及时地了解就餐人员的意见和建议，做好信息的沟通和反馈。&lt;/p&gt;&lt;p&gt;5、建立考核制度，每年年终采取问卷调查方式，广泛听取就餐人员意见。根据问卷调查结果、对经营方的管理人员、餐厅的服务人员工作表现、服务态度、饭菜质量等进行全面的考核，考核结果采取必要方式公布，并决定是否续签经营协议。&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('3','24','&lt;p&gt;快餐管理制度一．西式快餐的管理&lt;/p&gt;&lt;p&gt;在竞争激烈的快餐市场中，西式快餐总能立于潮头，是因为它有着第一流的快餐管理制度。西式快餐提出的目标是100%的顾客满意。即顾客在西式快餐所能得到的服务要多于他原来所期望得到的服务。快餐管理制度要求员工要有敬业精神，对顾客的服务要细致入微。优质的产品（Q），快速友善的服务（S），清洁卫生（C）的用餐环境以及物超所值（V）是西式快餐管理的四大要素。&lt;/p&gt;&lt;p&gt;Q．S．C．V．产品质量，即QSCV中的“Q”(Quality)&lt;/p&gt;&lt;p&gt;所选产品其重量，质量，卫生状况，加工要求，包装，运输，储存等都有非常严格的标准。例如，严格按照规程调味裹粉，然后放入自动高速的压力炸锅中烹炸，时间及温度均由电脑控制。这样，鸡肉内层鲜嫩多汁,外层香脆可口，风味独特的原味鸡便呈现在顾客面前了。同时，为保证每块鸡的质量及口味绝对让顾客满意，炸好以后必须在保存时间内售出，否则炸鸡必须废弃。统一的标准，规程，时间和方法，使顾客无论在今天，还是在明天，都能品尝到品质相同的炸鸡。&lt;/p&gt;&lt;p&gt;优质服务，即QSCV中的“S”(Service)&lt;/p&gt;&lt;p&gt;西式快餐的服务要求让顾客感受到亲切，舒适，迅速，要尽量满足顾客的要求。收银员必须严格按照收银规范来操作，不得有半点马虎。西式快餐管理制度还有一套接待员制度，接待员会帮助顾客点餐，为顾客领位，在儿童游乐区照看正在玩耍的孩子，还在一定的时候组织大型的儿童生日餐会，细致入微地服务，使顾客有宾至如归的用餐感受。&lt;/p&gt;&lt;p&gt;清洁卫生，即QSCV中的“C”(Clean)&lt;/p&gt;&lt;p&gt;西式快餐有一套严格的完整的清洁卫生制度，它包括：随手清洁，以及每日，每周及每月的例行清洁。餐厅的每一位员工都会运用不同的清洁工具进行不同的清洁工作，随手清洁是一种传统。每一位员工都会小心，爱护，留意（TLC）给每一位顾客留下美好的用餐经验。&lt;/p&gt;&lt;p&gt;物超所值，即QSCV中的“V”(Value)&lt;/p&gt;&lt;p&gt;物超所值不仅表现在美味的产品上，还在于消费者在合理的价格之内，享受到的是值得信赖的品质，亲切礼貌的服务和舒适卫生的用餐环境。&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('4','24','&lt;p&gt;在你进入麦当劳时，麦当劳的人力资源部和你的主管会告诉你的工资及麦当劳公司的有关政策，麦当劳有其独特的不受外界影响和干扰的工资政策。公司每年会对市场做工资水平调查，根据调查结果和公司的经济承担能力来决定对工资标准的调整，以确保其公正合理并具有竞争能力。&lt;/p&gt;&lt;p&gt;P3.1 按工作表现付酬（PAY FOR PERFORMANCE）&lt;/p&gt;&lt;p&gt;麦当劳实行按工作表现付酬的原则。表现最佳者可获得最高的加薪幅度。所有月薪人员的薪金将按现行的工资结构支付，工作伙伴应在工作表现评估被评为“良好” 或以上等级，才能被考虑加薪或奖励。&lt;/p&gt;&lt;p&gt;P3.2 工作表现评估&lt;/p&gt;&lt;p&gt;麦当劳公司每年一次评估并和工作伙伴讨论他们的工作表现，评估时采用五个评估等级。下列工作表现定义将有助你理解麦当劳的定级制度。&lt;/p&gt;&lt;p&gt;杰出（QOTSTANDING）&lt;/p&gt;&lt;p&gt;最高级工作表现。工作表现一贯地卓越，工作伙伴能预计各种情况的发生，并有效地保持获得赞扬的工作表现。该工作伙伴是麦当劳团队中始终最有成就和最重要的贡献人物。&lt;/p&gt;&lt;p&gt;优秀（EXCELLENT）&lt;/p&gt;&lt;p&gt;有重大贡献，工作表现经常超出其工作目标所期望的要求，工作伙伴对目标能有效地做出反应，并根据情况予以调整，是麦当劳团队中强有力的贡献者&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('5','25','&lt;p&gt;01、烹饪人员要严格检查待烹饪加工食品原料的卫生质量，发现有腐败变质或其他感官性状异常、不符合卫生要求的食品绝不烹制。&lt;/p&gt;&lt;p&gt;02、加工食品时中心温度应达到70℃以上，烧熟煮透，不得只讲究食品颜色而造成食物外熟内生。&lt;/p&gt;&lt;p&gt;03、烹饪过程中厨师试菜尝菜动作必须规范，不可用手直接接触食物。&lt;/p&gt;&lt;p&gt;04、用于原料、半成品、成品加工的工具、容器、抹布及冷藏设施要有明显标志，分开使用，定位存放。烹调后的菜品必须与原料、半成品分开存放。未经消毒清洗的餐具、工用具、容器、抹布等不得使用。&lt;/p&gt;&lt;p&gt;05、剩余的食品必须采取保鲜膜遮盖放入冰箱冷藏，冷藏时间不得超过24小时。成品、半成品、生食品要分冰箱放置。&lt;/p&gt;&lt;p&gt;06、凡冷藏的隔夜、隔餐的食品必须经高温彻底加热，在经过试尝后，确认感观无异样、无异味后方可出售。&lt;/p&gt;&lt;p&gt;07、不得把未经粗加工处理的食品直接带进烹调间。&lt;/p&gt;&lt;p&gt;08、烹饪加工工作结束后，调料容器要加盖收好。灶上灶下、工具、用具都要冲洗干净。随时保持操作间清洁、无油垢。及时清理垃圾，保持下水道通畅。&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('6','25','&lt;p&gt;厨房环境：&lt;/p&gt;&lt;p&gt;01、地面：干净无积水，无饭粒，无菜渣，无杂物，无污渍、无死角（特别应注意墙角卫生）。&lt;/p&gt;&lt;p&gt;02、门：保持清洁，无油污，无灰尘。&lt;/p&gt;&lt;p&gt;03、玻璃明亮，玻璃窗槽特别是铝泊处干净无油污，无灰尘。&lt;/p&gt;&lt;p&gt;04、墙壁、柱子：干净整洁，无油污，无灰尘。&lt;/p&gt;&lt;p&gt;05、货架：无油水，无锈迹（如铁架生锈需及时刷新）。&lt;/p&gt;&lt;p&gt;06、灯具、开关：无破损，干净整洁，无油污，无灰尘。&lt;/p&gt;&lt;p&gt;07、灭蝇灯：干净整洁，无油污，无灰尘。&lt;/p&gt;&lt;p&gt;08、紫外线消毒灯：要根据其寿命及时更换。&lt;/p&gt;&lt;p&gt;09、宣传标志：无破损，干净整洁，无油污，无灰尘。&lt;/p&gt;&lt;p&gt;10、风扇：风扇无油污，无灰尘，干净整洁。&lt;/p&gt;&lt;p&gt;11、顶棚：无尘土，无蛛网。&lt;/p&gt;&lt;p&gt;12、水龙头：无破损并及时关闭。&lt;/p&gt;&lt;p&gt;13、油管、水管等管类：无破损，无油污，无灰尘，冲地水管用完后须盘整齐放好。&lt;/p&gt;&lt;p&gt;14、台面：物品分类摆放整齐，无积水，无残渣。&lt;/p&gt;&lt;p&gt;15、切菜机、切肉机、和面机、压面机、电饼铛、蒸箱、烤箱、豆浆机、消毒柜、排气扇、小推车：保证完好无破损现象，使用后及时清理物品，保持干净整洁，无油污，无积水。&lt;/p&gt;&lt;p&gt;16、水池：干净整洁，无油污，无灰尘，且洗菜池边不允许乱挂物品。&lt;/p&gt;&lt;p&gt;17、菜筐、垃圾桶：干净整洁，筐缝隙必须清理干净，保证无油污，无灰尘，垃圾桶内的垃圾须及时清理干净。&lt;/p&gt;&lt;p&gt;18、保洁用品：扫帚、拖把、簸箕、地刮子、抹布、清洁球等及时清洗消毒，无油污，无异味，定位存放。&lt;/p&gt;&lt;p&gt;19、灶台：保持清洁，无油污，无灰尘。&lt;/p&gt;&lt;p&gt;20、刀、墩、手勺、笊篱、铲子、舀子、擀面杖、竹板、油刷子、台秤等：及时清理消毒，定位存放。&lt;/p&gt;&lt;p&gt;21、排烟罩：定期清理，无油污、无灰尘，保持烟道畅通。&lt;/p&gt;&lt;p&gt;22、冰箱：外部干净整洁，内部生熟食物分开，冰箱须定时清理。&lt;/p&gt;&lt;p&gt;23、调料车、调料盆：内外保持洁净，码放整齐，用完后一定要用纱布或纱网盖好。&lt;/p&gt;&lt;p&gt;24、地沟：应盖好地沟盖，内壁无油垢，保持排水畅通。&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('18','6','&lt;p&gt;&lt;img title=&quot;1554558690934263.jpg&quot; alt=&quot;1.jpg&quot; src=&quot;/data/upload/image/20190406/1554558690934263.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('19','6','&lt;p&gt;&lt;img title=&quot;1554558703126324.jpg&quot; alt=&quot;2.jpg&quot; src=&quot;/data/upload/image/20190406/1554558703126324.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('20','6','&lt;p&gt;&lt;img title=&quot;1554558715643325.jpg&quot; alt=&quot;3.jpg&quot; src=&quot;/data/upload/image/20190406/1554558715643325.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('21','6','&lt;p&gt;&lt;img title=&quot;1554558726135881.jpg&quot; alt=&quot;4.jpg&quot; src=&quot;/data/upload/image/20190406/1554558726135881.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('22','6','&lt;p&gt;&lt;img title=&quot;1554558740116314.jpg&quot; alt=&quot;5.jpg&quot; src=&quot;/data/upload/image/20190406/1554558740116314.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('23','6','&lt;p&gt;&lt;img title=&quot;1554558752104274.jpg&quot; alt=&quot;6.jpg&quot; src=&quot;/data/upload/image/20190406/1554558752104274.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('24','11','&lt;p&gt;&lt;img title=&quot;1554558803341500.jpg&quot; alt=&quot;1.jpg&quot; src=&quot;/data/upload/image/20190406/1554558803341500.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('25','10','&lt;p&gt;&lt;img title=&quot;1554558841109851.jpg&quot; alt=&quot;1.jpg&quot; src=&quot;/data/upload/image/20190406/1554558841109851.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('26','10','&lt;p&gt;&lt;img title=&quot;1554558852682957.jpg&quot; alt=&quot;2.jpg&quot; src=&quot;/data/upload/image/20190406/1554558852682957.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('27','10','&lt;p&gt;&lt;img title=&quot;1554558864129783.jpg&quot; alt=&quot;3.jpg&quot; src=&quot;/data/upload/image/20190406/1554558864129783.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('28','9','&lt;p&gt;&lt;img title=&quot;1554558898704430.jpg&quot; alt=&quot;1.jpg&quot; src=&quot;/data/upload/image/20190406/1554558898704430.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('29','9','&lt;p&gt;&lt;img title=&quot;1554558910192524.jpg&quot; alt=&quot;2.jpg&quot; src=&quot;/data/upload/image/20190406/1554558910192524.jpg&quot;/&gt;&lt;/p&gt;');

DROP TABLE IF EXISTS `qing_content_product`;
CREATE TABLE `qing_content_product` (
  `id` mediumint(8) NOT NULL,
  `catid` smallint(5) NOT NULL,
  `content` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `qing_content_product` VALUES('7','22','&lt;p&gt;主食花样主食花样&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('8','21','&lt;p&gt;韩国料理韩国料理韩国料理&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('9','20','&lt;p&gt;日本料理日本料理&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('10','19','&lt;p&gt;西式自助西式自助&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('11','18','&lt;p&gt;中西自助中西自助&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('12','17','&lt;p&gt;西式冷餐西式冷餐&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('13','16','&lt;p&gt;西式烧烤西式烧烤&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('14','15','&lt;p&gt;鸡尾酒会鸡尾酒会&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('15','14','&lt;p&gt;万鑫宴会万鑫宴会万鑫宴会&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('16','13','&lt;p&gt;特色小吃特色小吃&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('17','12','&lt;p&gt;早餐品种早餐品种&lt;/p&gt;');

DROP TABLE IF EXISTS `qing_diy_banner`;
CREATE TABLE `qing_diy_banner` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `weizhi` varchar(255) NOT NULL,
  `tupian` varchar(255) NOT NULL,
  `lianjie` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `qing_diy_banner` VALUES('1','电脑版','/data/upload/image/20190406/1554559579157281.jpg','');
INSERT INTO `qing_diy_banner` VALUES('2','电脑版','/data/upload/image/20190406/1554559593109683.jpg','');
INSERT INTO `qing_diy_banner` VALUES('3','手机版','/data/upload/image/20190407/1554639903827630.jpg','');
INSERT INTO `qing_diy_banner` VALUES('4','手机版','/data/upload/image/20190407/1554639913297220.jpg','');

DROP TABLE IF EXISTS `qing_diy_flink`;
CREATE TABLE `qing_diy_flink` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `sitename` varchar(255) NOT NULL,
  `siteurl` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `qing_diy_flink` VALUES('1','聚擎CMS','http://www.juqingcms.com/');

DROP TABLE IF EXISTS `qing_diy_link`;
CREATE TABLE `qing_diy_link` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `guanjianci` varchar(255) NOT NULL,
  `lianjie` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `qing_diy_link` VALUES('1','聚擎CMS','http://www.juqingcms.com/');
INSERT INTO `qing_diy_link` VALUES('2','百度','http://www.baidu.com');

DROP TABLE IF EXISTS `qing_form_comment`;
CREATE TABLE `qing_form_comment` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `cid` mediumint(8) NOT NULL,
  `userid` mediumint(8) NOT NULL,
  `username` char(20) NOT NULL,
  `listorder` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `status` tinyint(2) unsigned NOT NULL DEFAULT '1',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `ip` char(20) DEFAULT NULL,
  `pinglunneirong` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `listorder` (`listorder`),
  KEY `status` (`status`),
  KEY `time` (`time`),
  KEY `userid` (`userid`),
  KEY `cid` (`cid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_form_gestbook`;
CREATE TABLE `qing_form_gestbook` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `cid` mediumint(8) NOT NULL,
  `userid` mediumint(8) NOT NULL,
  `username` char(20) NOT NULL,
  `listorder` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `status` tinyint(2) unsigned NOT NULL DEFAULT '1',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `ip` char(20) DEFAULT NULL,
  `liuyanneirong` varchar(255) DEFAULT NULL,
  `xingming` varchar(255) NOT NULL,
  `shouji` varchar(255) NOT NULL,
  `youxiang` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `listorder` (`listorder`),
  KEY `status` (`status`),
  KEY `time` (`time`),
  KEY `userid` (`userid`),
  KEY `cid` (`cid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_keylink`;
CREATE TABLE `qing_keylink` (
  `id` int(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL,
  `link` varchar(100) NOT NULL,
  `weight` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_member`;
CREATE TABLE `qing_member` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `username` char(20) NOT NULL DEFAULT '',
  `password` char(32) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL,
  `avatar` varchar(100) NOT NULL DEFAULT '',
  `modelid` smallint(5) NOT NULL,
  `regdate` int(10) unsigned NOT NULL DEFAULT '0',
  `regip` varchar(50) NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_member_connect`;
CREATE TABLE `qing_member_connect` (
  `uid` mediumint(9) NOT NULL,
  `openid` varchar(32) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_member_geren`;
CREATE TABLE `qing_member_geren` (
  `id` mediumint(8) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_model`;
CREATE TABLE `qing_model` (
  `modelid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `typeid` tinyint(3) NOT NULL,
  `modelname` char(30) NOT NULL,
  `tablename` char(20) NOT NULL,
  `listtpl` varchar(30) NOT NULL,
  `showtpl` varchar(30) NOT NULL,
  `joinid` smallint(5) DEFAULT NULL,
  `setting` text,
  PRIMARY KEY (`modelid`),
  KEY `typeid` (`typeid`),
  KEY `joinid` (`joinid`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

INSERT INTO `qing_model` VALUES('1','1','文章模型','content_news','list_news.html','show_news.html','0','a:1:{s:7:\"default\";a:6:{s:5:\"title\";a:2:{s:4:\"name\";s:6:\"标题\";s:4:\"show\";s:1:\"1\";}s:8:\"keywords\";a:2:{s:4:\"name\";s:9:\"关键字\";s:4:\"show\";s:1:\"1\";}s:5:\"thumb\";a:2:{s:4:\"name\";s:9:\"缩略图\";s:4:\"show\";s:1:\"1\";}s:11:\"description\";a:2:{s:4:\"name\";s:6:\"描述\";s:4:\"show\";s:1:\"1\";}s:4:\"time\";a:2:{s:4:\"name\";s:12:\"发布时间\";s:4:\"show\";s:1:\"1\";}s:4:\"hits\";a:2:{s:4:\"name\";s:9:\"阅读数\";s:4:\"show\";s:1:\"1\";}}}');
INSERT INTO `qing_model` VALUES('2','1','产品模型','content_product','list_product.html','show_product.html','0','a:1:{s:7:\"default\";a:6:{s:5:\"title\";a:2:{s:4:\"name\";s:6:\"标题\";s:4:\"show\";s:1:\"1\";}s:8:\"keywords\";a:2:{s:4:\"name\";s:9:\"关键字\";s:4:\"show\";s:1:\"1\";}s:5:\"thumb\";a:2:{s:4:\"name\";s:9:\"缩略图\";s:4:\"show\";s:1:\"1\";}s:11:\"description\";a:2:{s:4:\"name\";s:6:\"描述\";s:4:\"show\";s:1:\"1\";}s:4:\"time\";a:2:{s:4:\"name\";s:12:\"发布时间\";s:4:\"show\";s:1:\"1\";}s:4:\"hits\";a:2:{s:4:\"name\";s:9:\"阅读数\";s:4:\"show\";s:1:\"1\";}}}');
INSERT INTO `qing_model` VALUES('3','3','在线留言','form_gestbook','list_gestbook.html','form.html','0','a:1:{s:4:\"form\";a:8:{s:4:\"post\";s:1:\"0\";s:3:\"num\";s:1:\"0\";s:4:\"time\";s:0:\"\";s:5:\"check\";s:1:\"0\";s:4:\"code\";s:1:\"0\";s:6:\"member\";s:1:\"0\";s:4:\"show\";a:3:{i:0;s:13:\"nindexingming\";i:1;s:8:\"lianxiQQ\";i:2;s:13:\"liuyanneirong\";}s:10:\"membershow\";a:3:{i:0;s:13:\"nindexingming\";i:1;s:8:\"lianxiQQ\";i:2;s:13:\"liuyanneirong\";}}}');
INSERT INTO `qing_model` VALUES('5','2','个人','member_geren','list_geren.html','show_geren.html','0','');
INSERT INTO `qing_model` VALUES('6','4','首页banner','diy_banner','list_banner.html','show_banner.html','0','a:1:{s:4:\"form\";a:1:{s:4:\"show\";a:3:{i:0;s:6:\"weizhi\";i:1;s:6:\"tupian\";i:2;s:7:\"lianjie\";}}}');
INSERT INTO `qing_model` VALUES('7','4','友情链接','diy_flink','list_flink.html','show_flink.html','0','a:1:{s:4:\"form\";a:1:{s:4:\"show\";a:2:{i:0;s:8:\"sitename\";i:1;s:7:\"siteurl\";}}}');
INSERT INTO `qing_model` VALUES('8','4','推荐链接','diy_link','list_link.html','show_link.html','0','a:1:{s:4:\"form\";a:1:{s:4:\"show\";a:2:{i:0;s:10:\"guanjianci\";i:1;s:7:\"lianjie\";}}}');

DROP TABLE IF EXISTS `qing_model_field`;
CREATE TABLE `qing_model_field` (
  `fieldid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `modelid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `field` varchar(20) NOT NULL,
  `name` varchar(30) NOT NULL,
  `isshow` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `tips` text NOT NULL,
  `pattern` varchar(255) NOT NULL,
  `errortips` varchar(255) NOT NULL,
  `formtype` varchar(20) NOT NULL,
  `setting` mediumtext NOT NULL,
  `listorder` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `disabled` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`fieldid`),
  KEY `modelid` (`modelid`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

INSERT INTO `qing_model_field` VALUES('1','1','content','内容','1','','','','editor','a:4:{s:7:\"toolbar\";s:1:\"1\";s:5:\"width\";s:3:\"700\";s:6:\"height\";s:3:\"450\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('2','2','content','内容','1','','','','editor','a:4:{s:7:\"toolbar\";s:1:\"1\";s:5:\"width\";s:3:\"700\";s:6:\"height\";s:3:\"450\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('12','3','shouji','手机','1','','/^(1)[0-9]{10}$/','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','3','0');
INSERT INTO `qing_model_field` VALUES('11','3','xingming','姓名','1','','1','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','4','0');
INSERT INTO `qing_model_field` VALUES('5','3','liuyanneirong','留言内容','1','','1','留言内容不能为空','textarea','a:3:{s:5:\"width\";s:3:\"400\";s:6:\"height\";s:2:\"90\";s:12:\"defaultvalue\";s:0:\"\";}','1','0');
INSERT INTO `qing_model_field` VALUES('6','6','weizhi','位置','1','','1','','radio','a:2:{s:7:\"content\";s:40:\"电脑版|电脑版\r\n手机版|手机版\";s:12:\"defaultvalue\";s:0:\"\";}','3','0');
INSERT INTO `qing_model_field` VALUES('7','6','tupian','图片','1','','1','','file','a:3:{s:4:\"type\";s:20:\"jpg,jpeg,bmp,gif,png\";s:7:\"preview\";s:1:\"1\";s:4:\"size\";s:1:\"2\";}','2','0');
INSERT INTO `qing_model_field` VALUES('8','6','lianjie','链接','1','格式：http://www.baidu.com，没有则留空','','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','1','0');
INSERT INTO `qing_model_field` VALUES('9','7','sitename','网站名称','1','','1','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('10','7','siteurl','网址','1','格式：http://www.baidu.com','1','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('13','3','youxiang','邮箱','1','','','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','2','0');
INSERT INTO `qing_model_field` VALUES('14','8','guanjianci','关键词','1','','1','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('15','8','lianjie','链接','1','格式：http://www.baidu.com','1','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');

DROP TABLE IF EXISTS `qing_weixinmenu`;
CREATE TABLE `qing_weixinmenu` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `parentid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `child` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `childids` varchar(255) NOT NULL,
  `name` varchar(30) NOT NULL,
  `url` varchar(255) NOT NULL DEFAULT '',
  `listorder` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `listorder` (`listorder`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


